;;;-*- Mode: Lisp; Package: COMMON-LISP-USER -*-

;; ODBC module for MCL, LispWorks, ACL and CormanLisp
;; Version 0.9
;; Copyright (C) Paul Meurer 1999, 2000. All rights reserved.
;; paul.meurer@hit.uib.no
;;
;; Documentation and the license agreement can be found in file 
;; "sql-odbc-documentation.lisp".
;; Bug reports and suggestions are highly welcome.

(in-package :common-lisp-user)

(defpackage "ODBC"
  (:use "SQL" "COMMON-LISP" #+mcl "CCL" #+cormanlisp "WIN32" "FFC")
        
  (:import-from "SQL"
                "DB-DISCONNECT" "DB-COMMIT" "DB-ROLLBACK" 
                "DB-OPEN-QUERY" "DB-CLOSE-QUERY" "DB-CANCEL-QUERY"
                "DB-QUERY" "DB-FETCH-QUERY-RESULTS" 
                "DB-MAP-QUERY" "DB-MAP-BIND-QUERY"
                "DB-EXECUTE-COMMAND" "DB-EXECUTE-PARAMETERIZED"
                "DB-PREPARE-STATEMENT" 
		"*NULL*"
                "DB-QUERY-OBJECT"
                "DB-DESCRIBE-COLUMNS"
                "SQL-EXPRESSION"
                #-cormanlisp "SQL-STREAM"
                #-cormanlisp "MAKE-SQL-STREAM"
                "COLUMN"
                "%DB-BIND-EXECUTE" "%DB-RESET-QUERY"
                #-cormanlisp "OPEN-SQL-STREAM"
                #-cormanlisp "SQL-STRING-STREAM"
                #-(or cormanlisp pcl) "FUNDAMENTAL-INPUT-STREAM"
                #-(or cormanlisp pcl) "FUNDAMENTAL-CHARACTER-STREAM"
                #-(or cormanlisp pcl) "FUNDAMENTAL-OUTPUT-STREAM"
                #-(or cormanlisp pcl) "STREAM-READ-CHAR"
                #-(or cormanlisp pcl) "STREAM-PEEK-CHAR"
                #-(or cormanlisp pcl clisp) "STREAM-READ-SEQUENCE"
                #-(or cormanlisp pcl clisp) "STREAM-WRITE-SEQUENCE"
                "BUFFER" "BUFFER-SIZE" "BUFFER-POSITION"
                "%DB-EXECUTE"
                "%INITIALIZE-QUERY" "QUERIES" "QUERY-ACTIVE-P"
                "%READ-QUERY-DATA" "COLUMN-NAMES"
                "*BINARY-FORMAT*" "DB-DATA-SOURCES" ))

